#include <engine.h>

/*
	Audio
	Video
	Gameplay
	Control
	Accessibility
	Filter
*/
void	RenderOption() {

}

void	RenderInventory() {
	//DrawTextureRec();
}

void	DebugInterface() {
	DrawFPS(10, 10);
}

void	UserInterface(const Player *player) {
	//player stats
	//player state and aliement
	//health and other metric
	//DrawTextureRec();
	DrawText(TextFormat("%i", player->entity.body.health), 0, 0, 16, RED);
}

void	EngineStateSwitch(ENGINE_STATE_E engine_state) {
	switch (engine_state) {
		case(SPLASH_SCREEN): {

			break;
		}
		case(GAMELOOP_SCREEN): {

			break;
		}
		case(CREDIT_SCREEN): {

			break;
		}
		case(GAMEOVER_SCREEN): {

			break;
		}
		case(SERVER_SCREEN): {

			break;
		}
		case(SECRET_SCREEN): {

			break;
		}
		case(DEBUG_SCREEN): {

			break;
		}
		default:
			break;
	}
}
